Subject: Re: [Bitcoin-development] Scaling Bitcoin with Subchains

From: Jeff Garzik <[email-masked]>
Date: Mon, 15 Jun 2015 14:01:55 -0400

Side chains are a way to scale and shard horizontally while still retaining
primary security parameters of the main chain.

The future is an Internet of chains, a forest of chains with bitcoin as the
root chain for: factom / proofofexistence, ChainDB, Blockstream side
chains, merge mined side chains, and more.  A multi-chain design is much
more scalable in general.

On Mon, Jun 15, 2015 at 1:18 PM, Mike Hearn <[email-masked]> wrote:

> It's simple: either you care about validation, and you must validate
>> everything, or you don't, and you don't validate anything.
>>
> Pedantically: you could validate a random subset of all scripts, to give
> yourself probabilistic verification rather than full vs SPV. If enough
> people do it with a large enough subset the probability of a problem being
> detected goes up a lot. You still pay the cost of the database updates.
>
> But your main point is of course completely right, that side chains are
> not a way to scale up.
>
>
> ------------------------------------------------------------------------------
>
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>
>

-- 
Jeff Garzik
Bitcoin core developer and open source evangelist
BitPay, Inc.      https://bitpay.com/